View Issue Details

IDProjectCategoryView StatusLast Update
0005228GNUnetcadet servicepublic2019-02-28 11:17
ReporteramatusAssigned Tot3sserakt 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0Fixed in Version0.11.0 
Summary0005228: gnunet-cadet -p receives malformed message from service
DescriptionThe cadet API for getting info on a single peer is broken. I gave fixing it a shot but gave up because the client and server are so different I can't tell what it should be doing.
Steps To Reproduce$ gnunet-cadet -p QW7ZYW6H4XQM9N5NK8GQWDSYXNBEQEAS870TP40QM0Z4YZ9KBDT0
Dec 27 11:03:03-624485 util-mq-27930 ERROR Received malformed message of type 1037
TagsNo tags attached.

Activities

cy1

2018-05-14 18:44

reporter   ~0012926

Just confirming this behavor's happening for me too.

t3sserakt

2018-06-24 15:33

developer   ~0013070

commit a60bc39254a063f93f4b193691504e1bba0cb608 does not really fix this. We have no malformed message anymore, but the information displayed is not valid!

t3sserakt

2018-06-28 17:09

developer   ~0013106

git rev. 842f1d970c56228154aa7d0a027ebeec296b9036

Issue History

Date Modified Username Field Change
2017-12-27 18:14 amatus New Issue
2017-12-27 18:14 amatus Status new => assigned
2017-12-27 18:14 amatus Assigned To => Christian Grothoff
2018-05-14 18:44 cy1 Note Added: 0012926
2018-06-07 01:17 Christian Grothoff Assigned To Christian Grothoff =>
2018-06-07 01:17 Christian Grothoff Status assigned => confirmed
2018-06-23 15:25 t3sserakt Assigned To => t3sserakt
2018-06-23 15:25 t3sserakt Status confirmed => assigned
2018-06-24 15:33 t3sserakt Note Added: 0013070
2018-06-28 17:09 t3sserakt Status assigned => resolved
2018-06-28 17:09 t3sserakt Resolution open => fixed
2018-06-28 17:09 t3sserakt Fixed in Version => 0.11.0
2018-06-28 17:09 t3sserakt Note Added: 0013106
2019-02-12 09:20 Christian Grothoff Target Version => 0.11.0
2019-02-28 11:17 Christian Grothoff Status resolved => closed